#include "partition.h"
#include <bits/stdc++.h>
#define pb push_back
#define eb emplace_back
#define ll long long
using namespace std;
const int N=2e5+5;

vector<int> solve(vector<int> v)
{
    int n=v.size();
    ll tot=0;
    for(auto x:v) tot+=x;
    vector<int> ord(n);
    iota(ord.begin(),ord.end(),0);
    sort(ord.begin(),ord.end(),[&](int a, int b) {return v[a]<v[b];});
    int mx=-1,I=-1,J=-1;
    for(int i=0;i<n;++i)
    {
        ll ss=0;
        for(int j=i;j<n;++j)
        {
            ss+=v[ord[j]];
            if(ss>=(tot+1)/2)
            {
                int sz=j-i+1;
                if(abs((n-sz)-sz)>mx) mx=abs((n-sz)-sz),I=i,J=j;
                break;
            }
        }
    }
    vector<int> sol;
    for(int i=I;i<=J;++i) sol.pb(ord[i]);
    for(int i=n-1;i>J;--i) sol.pb(ord[i]);
    for(int i=I-1;i>=0;--i) sol.pb(ord[i]);
    return sol;
}

